/*
 * tkgeomapInt.h --
 *
 *	Declarations for things used internally by the Tkgeomap
 *	procedures but not exported outside the module.
 * 
 * Copyright (c) 2004 Gordon D. Carrie. All rights reserved.
 * 
 * Licensed under the Open Software License version 2.1
 * 
 * Please address questions and feedback to user0@tkgeomap.org
 *
 * @(#) $Id: tkgeomapInt.h,v 1.4 2004/09/22 21:23:25 tkgeomap Exp $
 */

#ifndef _TKGEOMAPINT
#define _TKGEOMAPINT

#include "tkgeomap.h"

/*
 * The following declarations are for functions defined in tkTrig.c.
 */

int		TkgeomapLineToArea _ANSI_ARGS_((double end1Ptr[], 
				double end2Ptr[], double rectPtr[]));
double		TkgeomapLineToPoint _ANSI_ARGS_((double end1Ptr[], 
				double end2Ptr[], double pointPtr[]));
int		TkgeomapMakeBezierCurve _ANSI_ARGS_((Tk_Canvas canvas, 
				double * pointPtr, int numPoints, 
				int numSteps, XPoint xPoints[], 
				double dblPoints[]));
void		TkgeomapMakeBezierPostscript _ANSI_ARGS_((
				Tcl_Interp * interp, Tk_Canvas canvas, 
				double * pointPtr, int numPoints));
int		TkgeomapThickPolyLineToArea _ANSI_ARGS_((double * coordPtr, 
				int numPoints, double width, int capStyle, 
				int joinStyle, double * rectPtr));
double		TkgeomapPolygonToPoint _ANSI_ARGS_((double *polyPtr,
	    			int numPoints, double *pointPtr));
int		TkgeomapPolygonToArea _ANSI_ARGS_((double *polyPtr,
	    			int numPoints, register double *rectPtr));
void		TkgeomapBezierScreenPoints _ANSI_ARGS_((Tk_Canvas canvas,
	    			double control[], int numSteps,
				register XPoint *xPointPtr));
void		TkgeomapBezierPoints _ANSI_ARGS_((double control[],
	    			int numSteps, register double *coordPtr));
int		TkgeomapMakeBezierCurve _ANSI_ARGS_((Tk_Canvas canvas,
	    			double *pointPtr, int numPoints, int numSteps,
				XPoint xPoints[], double dblPoints[]));
void		TkgeomapMakeBezierPostscript _ANSI_ARGS_((Tcl_Interp *interp,
	    			Tk_Canvas canvas, double *pointPtr,
				int numPoints));

#endif
